%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)


%global pear_name Net_LDAP3
%global php php

# Not yet an actual PEAR package ...

Name:               php-pear-Net_LDAP3
Version:            1.0.4
Release:            %mkrel 6
Summary:            Object oriented interface for searching and manipulating LDAP-entries
Group:              Development/PHP
License:            LGPLv3
URL:                https://kolab.org/
Source0:            pear-Net-LDAP3-%{version}.tar.gz
BuildArch:          noarch

Requires:           mozldap-tools >= 6.0.5
Requires:           php-ldap
Requires:           php-pear-Net_LDAP2
Provides:           php-pear(%{pear_name}) = %{version}-%{release}

%description
Net_LDAP3 is an LDAPv3 compatible enhancement to Net_LDAP2

%prep
%setup -q -n pear-Net-LDAP3-%{version}

%build

%install

mkdir -p %{buildroot}%{peardir}
cp -a lib/Net %{buildroot}%{peardir}/.



%files
%doc LICENSE
%{peardir}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.4-6.mga10
+ Revision: 2201588
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0.4-5.mga9
+ Revision: 1806782
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-4.mga8
+ Revision: 1499118
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-3.mga7
+ Revision: 1273729
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 1.0.4-2.mga6
+ Revision: 971638
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 spuhler <spuhler> 1.0.4-1.mga6
+ Revision: 892202
- upgrade to vers. 1.0.4

* Sun Sep 13 2015 spuhler <spuhler> 1.0.3-1.mga6
+ Revision: 878959
- imported package php-pear-Net_LDAP3

